Name:		perl-Net-Subnets
Version: 	0.21
Release:	10.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Net::Subnets
Summary(de):	Perlmodul Net::Subnets
URL: 		http://search.cpan.org/~sri/
Source0: 	Net-Subnets-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl
BuildArch: 	noarch

%if 0%{?fedora_version} >= 7 || 0%{?rhel_version} >= 600
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%description
Very fast matches large lists of IP addresses against many CIDR subnets,
calculates IP address ranges and provides a simple object oriented interface.

%prep
%setup -q -n Net-Subnets-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/Net::Subnets.3*
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/Subnets.pm

%changelog
* Mon Jan 21 2008 Carsten Schoene <cs@linux-administrator.com> - 0.21
- initial build of Net::Subnets perl package.

